%define major 0
%define api 0.2
%define libname %mklibname %{name} %{api}_%{major}
%define develname %mklibname -d %{name}

Name:		gegl
Version:	0.2.0
Release:	%mkrel 15
Summary:	GEGL (Generic Graphics Library) - graph based image processing framework
Group:		System/Libraries
License:	LGPLv3+
URL:		http://www.gegl.org/
Source0:	ftp://ftp.gimp.org/pub/gegl/0.2/%{name}-%{version}.tar.bz2
Patch0:		gegl-0.2.0-ffmpeg0.11.patch
Patch1:		gegl-0.2.0-CVE-2012-4433-1.patch
Patch2:		gegl-0.2.0-CVE-2012-4433-2.patch
BuildRequires:	pkgconfig(babl) >= 0.1.10
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.18.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(jasper) >= 1.900.1
BuildRequires:	pkgconfig(lensfun) >= 0.2.5
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libopenraw-1.0) >= 0.0.5
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.14.0
BuildRequires:	pkgconfig(lua) >= 5.1
BuildRequires:	pkgconfig(lua) < 5.2
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(pygobject-2.0) >= 2.26
BuildRequires:	asciidoc
BuildRequires:	enscript
BuildRequires:	gobject-introspection-devel
BuildRequires:	graphviz
BuildRequires:	jpeg-devel
BuildRequires:	ruby
BuildRequires:	locales
BuildRequires:	SDL-devel
BuildRequires:	vala-tools

%description
GEGL (Generic Graphics Library) is a graph based image processing 
framework.

GEGLs original design was made to scratch GIMPs itches for a new 
compositing and processing core. This core is being designed to 
have minimal dependencies. and a simple well defined API. 


%package -n     %{libname}
Summary:        A library for %{name}
Group:          System/Libraries

%description -n %{libname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

%package -n     %{develname}
Summary:        Header files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gegl0.1-devel < %{version}-%{release}

%description -n %{develname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

%prep
%setup -q
%apply_patches

%build
export LC_ALL=UTF-8
%configure2_5x --enable-workshop
%make

%install
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%find_lang gegl-%{api}

%files -f gegl-%{api}.lang
%{_bindir}/gegl

%files -n     %{libname}
%doc README AUTHORS NEWS
%{_libdir}/libgegl-%{api}.so.%{major}*
%{_libdir}/gegl-%{api}/

%files -n %{develname}
%doc ChangeLog
%{_datadir}/gtk-doc/html/gegl
%{_libdir}/*.so
%{_includedir}/gegl-%{api}/
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-15.mga4
+ Revision: 534488
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 fwang <fwang> 0.2.0-14.mga4
+ Revision: 478017
- rebuild for new openexr

* Sat Aug 03 2013 fwang <fwang> 0.2.0-13.mga4
+ Revision: 462923
- more correct patch on newer ffmpeg

* Sat Aug 03 2013 fwang <fwang> 0.2.0-12.mga4
+ Revision: 462919
- force rebuild of gegl for new ffmpeg

* Thu Jul 11 2013 fwang <fwang> 0.2.0-11.mga4
+ Revision: 452764
- rebuild for new ffmpeg

* Sun Jun 02 2013 fwang <fwang> 0.2.0-10.mga4
+ Revision: 435477
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 0.2.0-9.mga3
+ Revision: 351259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 fwang <fwang> 0.2.0-8.mga3
+ Revision: 324992
- rebuild for new openexr

* Sat Nov 17 2012 fwang <fwang> 0.2.0-7.mga3
+ Revision: 319067
- force utf-8 when building
- br lua 5.1

  + luigiwalser <luigiwalser>
    - add patches from upstream to fix CVE-2012-4433

* Mon May 28 2012 fwang <fwang> 0.2.0-6.mga3
+ Revision: 247873
- more fixes

* Mon May 28 2012 fwang <fwang> 0.2.0-5.mga3
+ Revision: 247869
- more symbol lookup fixes

* Mon May 28 2012 fwang <fwang> 0.2.0-4.mga3
+ Revision: 247864
- more patches

* Mon May 28 2012 fwang <fwang> 0.2.0-3.mga3
+ Revision: 247860
- fix build with latest ffmpeg
- rebuild for new ffmpeg

* Thu May 03 2012 fwang <fwang> 0.2.0-2.mga2
+ Revision: 234589
- fix wrong obsoletes

* Thu May 03 2012 fwang <fwang> 0.2.0-1.mga2
+ Revision: 234580
- update file list
- update file list
- correct libapiver
- new version 0.2.0

* Tue Nov 29 2011 fwang <fwang> 0.1.8-1.mga2
+ Revision: 174045
- new version 0.1.8

* Tue Nov 29 2011 fwang <fwang> 0.1.6-3.mga2
+ Revision: 174036
- bump rel
- more patch on ffmpeg

* Sun Sep 11 2011 fwang <fwang> 0.1.6-2.mga2
+ Revision: 142348
- rebuild for new 0.1.6

* Thu Jun 30 2011 ahmad <ahmad> 0.1.6-1.mga2
+ Revision: 116388
- Update to 0.1.6
- Bump BR babl-devel version
- Don't ship .la

* Fri Jun 24 2011 fwang <fwang> 0.1.2-4.mga2
+ Revision: 113082
- more ffmpeg 0.8 fix
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Wed Jan 19 2011 ahmad <ahmad> 0.1.2-3.mga2
+ Revision: 24764
- drop old/unneeded scriptlets
- imported package gegl


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-2mdv2011.0
+ Revision: 605444
- rebuild

* Sat Feb 13 2010 Emmanuel Andry <eandry@mandriva.org> 0.1.2-1mdv2010.1
+ Revision: 505579
- New version 0.1.2
- bump babl BR
- use api major
- BR libopenraw-devel

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2010.1
+ Revision: 488756
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdv2010.0
+ Revision: 416615
- rebuilt against libjpeg v7

* Tue Jul 07 2009 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2010.0
+ Revision: 393181
- new version
- bump babl dep
- source URL

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.0.22-1mdv2009.1
+ Revision: 323638
- New version 0.0.22
- patches merged upstream

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Dec 08 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.20-3mdv2009.1
+ Revision: 311772
- add P2 from gegl svn to fix black image generation (#46138)

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 0.0.20-2mdv2009.1
+ Revision: 293311
- fix patch 0

* Sun Oct 12 2008 Götz Waschk <waschk@mandriva.org> 0.0.20-1mdv2009.1
+ Revision: 293043
- fix build deps
- new version
- update patch 0

* Tue Jun 24 2008 Götz Waschk <waschk@mandriva.org> 0.0.18-1mdv2009.0
+ Revision: 228562
- new version
- fix build with glib
- bump babl dep
- fix license
- add docs
- rearrange spec file

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 15 2008 Götz Waschk <waschk@mandriva.org> 0.0.16-3mdv2009.0
+ Revision: 207582
- reenable ffmpeg

* Tue Apr 29 2008 Götz Waschk <waschk@mandriva.org> 0.0.16-2mdv2009.0
+ Revision: 198955
- disable ffmpeg support
- use the right configure macro

* Wed Apr 16 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.16-1mdv2009.0
+ Revision: 194739
- Add missing BR
- Add more missing BR
- add missing BR (from Fedora)
- New version
- fix libs
- enable-workshop

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add BuildRequires
    - Import gegl

